{
  "name": "@apifie/node-microservice",
  "version": "1.0.3",
  "license": "Apache 2.0",
  "description": "A Blueprint to crate Node JS Micro-Service on apifie platform",
  "author": "Gaurav Kumar <mail2gauravkumar@gmail.com>",
  "homepage": "https://gitlab.com/apifie/nodems/node-microservice",
  "bugs": "https://gitlab.com/apifie/nodems/node-microservice/issues",
  "private": false,
  "keywords": [
    "nodejs",
    "service",
    "micro-service",
    "microservice",
    "blueprint",
    "template",
    "apifie"
  ],
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/apifie/nodems/node-microservice"
  },
  "nodemonConfig": {
    "ignore": [
      "test/*",
      "docs/*"
    ],
    "delay": "2500"
  },
  "main": "index.js",
  "scripts": {
    "start": "echo 'Its an npm module. You need to do npm istall in your app / service'",
    "test": "npm run coverage",
    "coverage": "node_modules/.bin/cross-env NODE_ENV=test nyc npm run test:unit",
    "test:unit": "node_modules/.bin/cross-env NODE_ENV=test mocha --opts ./mocha.opts --require ./setup-env.js \"./test/unit/**/*.spec.js\" --exit",
    "lint": "eslint ./src",
    "lint:fix": "eslint ./src --fix",
    "prepush": "npm run lint && npm run coverage"
  },
  "dependencies": {
    "amqplib": "0.5.2",
    "async-redis": "1.1.4",
    "axios": "0.18.0",
    "body-parser": "1.18.3",
    "cls-hooked": "4.2.2",
    "cookie-parser": "1.3.5",
    "cpx": "1.5.0",
    "debug": "2.2.0",
    "dotenv": "6.0.0",
    "events": "3.0.0",
    "express": "4.16.3",
    "express-sanitizer": "1.0.4",
    "install": "0.11.0",
    "jade": "1.11.0",
    "joi": "13.1.2",
    "morgan": "1.9.1",
    "mysql-semaphore": "0.1.1",
    "mysql2": "1.5.2",
    "npm": "6.4.1",
    "response-time": "2.3.2",
    "sequelize": "4.33.3",
    "sequelize-cli": "3.2.0",
    "serve-favicon": "2.5.0",
    "swagger-spec-express": "2.0.4",
    "swagger-ui-express": "2.0.15",
    "swagger2-to-postman": "1.1.9",
    "winston": "2.4.0",
    "winston-logstash": "0.4.0",
    "zipkin": "0.12.0",
    "zipkin-context-cls-hooked": "0.11.0",
    "zipkin-instrumentation-axios": "0.1.0",
    "zipkin-instrumentation-express": "0.12.0",
    "zipkin-transport-http": "0.12.0"
  },
  "devDependencies": {
    "babel-plugin-istanbul": "4.1.5",
    "babel-register": "6.26.0",
    "chai": "4.1.2",
    "chai-as-promised": "7.1.1",
    "chai-http": "4.2.0",
    "chai-spies": "1.0.0",
    "cross-env": "5.1.3",
    "eslint": "4.18.2",
    "eslint-config-airbnb-base": "12.1.0",
    "eslint-plugin-import": "2.9.0",
    "husky": "0.14.3",
    "mocha": "5.0.0",
    "nodemon": "1.18.4",
    "nyc": "11.4.1",
    "proxyquire": "2.0.1",
    "read-package-json": "2.0.13",
    "snazzy": "7.0.0",
    "sonarqube-scanner": "2.1.1",
    "standard": "10.0.3",
    "supertest": "3.0.0"
  },
  "engines": {
    "node": ">=8.3.0"
  }
}
